*Plugins

自作・改造したwordpressプラグイン。
使用は自己責任でお願いします!
こちらは責任一切取りません!

指定文字列自動変換プラグイン:Auto Changer

指定文字列自動変換プラグイン。
{}で囲まれた、指定登録した文字列をブログ内で自動的に変換する。
※キーワード的にちょっと違うなと思うので、改良予定。

Exec-PHPで<!--more-->使用対応

WordPressでphp実行するプラグイン『Exec-PHP』使用中にて、一覧表示したとき『<!--more-->』がある記事はPHPが実行されていない対応。
※『Exec-PHP』等wordpress内でPHP実行するものと一緒に使うこと前提。
※『Exec-PHP remodel』を使用する場合は不要。

Exec-PHP remodel

『Exec-PHP』を『PHP7』で使うための修正を施したもの。
※これを使用する場合『Exec-PHPで<!--more-->使用対応』は不要。

Forbid hiding post

どうにも完全に停止しない自動保存やリビジョンを極力停止させる方向に持っていき、それでも投稿されようものなら下書きとしてしまう。

apostropheとquotation全角拒否プラグイン

勝手にapostropheとquotationを全角化する機能を停止させる。
マルチバイトな日本だけの問題だと思うから、英語化の予定はない。

PDO (SQLite) For WordPress改造版

『WordPress > PDO (SQLite) For WordPress ? WordPress Plugins』を使うための改造を施していったもの。
※2.X~3.X時代のもの。現在は更新していません。古いwordpressで使う人もいるから残してる。

作成したいところ

  • 自動的にPタグが囲う際に、2行改行しても無視されるとか、都合の悪い囲い方することがあるので対応したいところ。
  • 『Auto Changer』が変換対象や諸々、ちょっと違うなと思うので、改良版というか改訂版を開発予定。
作成:2009-04-27 12:48
修正:2009-07-23 23:32
修正:2009-08-22 02:01
修正:2014-12-25 22:28
修正:2015-02-28 16:42

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です